cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/api_oidc/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"audience": "542c6390-bf38-4912-856b-8f31480e978b",
"claim": "sub",
"id": "1234abcd-1234-1234-abcd-12345678abcd",
"identity_map": [
{
"cc_identity": "\\1",
"is_regex": true,
"token_identity": "sso_(.*)"
},
{
"cc_identity": "\\1",
"is_regex": true,
"token_identity": "gcp_(.*)"
}
],
"issuer": "theissuer",
"jwks": "{\"keys\":[{\"e\":\"AQAB\",\"use\":\"sig\",\"kty\":\"RSA\",\"alg\":\"RS256\",\"n\":\"tid8bJCI5FxtvMiVHq8pRZBGIPaG9mEa1akpIC9munzxA3mWoc-KoR1TGkocu76WFthaZnPS31WJbRVChU6g4EMIg7E8Ltpxifk1PQu0qqbLcpnoI62ojsB7l_Z_lkls0NUzTuKGMMtNoJsDrL1BT0UzcnWerh2PwzDAMpfPgafWdT2IYGTx1gNLcNOWpPhDgMSQqUmIPwCmxdan4i4OMd7lJYQ1WQlN8VnQgbRgHrm1zImY6MPqho9jW3Ub5FwGbunwCDrP9a2dD_5Iwm7_lR82iB4BGlu28WxFn0fm5DgZAeAFSGKE1xblC97WrjnPh2XYTx6pxsea_Hn71VcNSQ\",\"kid\":\"9341dedeee2d1869b657fa930300082fe26b3d92\"}]}"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get an API OIDC configuration
deprecated
This endpoint has been deprecated in favor of /jwt-issuers
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
GET
/
api
/
v1
/
api_oidc
/
{id}
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/api_oidc/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"audience": "542c6390-bf38-4912-856b-8f31480e978b",
"claim": "sub",
"id": "1234abcd-1234-1234-abcd-12345678abcd",
"identity_map": [
{
"cc_identity": "\\1",
"is_regex": true,
"token_identity": "sso_(.*)"
},
{
"cc_identity": "\\1",
"is_regex": true,
"token_identity": "gcp_(.*)"
}
],
"issuer": "theissuer",
"jwks": "{\"keys\":[{\"e\":\"AQAB\",\"use\":\"sig\",\"kty\":\"RSA\",\"alg\":\"RS256\",\"n\":\"tid8bJCI5FxtvMiVHq8pRZBGIPaG9mEa1akpIC9munzxA3mWoc-KoR1TGkocu76WFthaZnPS31WJbRVChU6g4EMIg7E8Ltpxifk1PQu0qqbLcpnoI62ojsB7l_Z_lkls0NUzTuKGMMtNoJsDrL1BT0UzcnWerh2PwzDAMpfPgafWdT2IYGTx1gNLcNOWpPhDgMSQqUmIPwCmxdan4i4OMd7lJYQ1WQlN8VnQgbRgHrm1zImY6MPqho9jW3Ub5FwGbunwCDrP9a2dD_5Iwm7_lR82iB4BGlu28WxFn0fm5DgZAeAFSGKE1xblC97WrjnPh2XYTx6pxsea_Hn71VcNSQ\",\"kid\":\"9341dedeee2d1869b657fa930300082fe26b3d92\"}]}"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.

